> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/editing-page-content/watermark-editor-a.md).

# Add watermarks to PDF in Android

Stamp text on PDFs with WatermarkDialog. Learn how to overlay text on each page of a PDF document using the watermark editor in Android. The Apryse Android SDK streamlines secure document processing a

The [`WatermarkDialog`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/dialog/watermark/WatermarkDialog.html) allows you to stamp a PDF document with text that overlays each page of the document.

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-86238ad28b0b3d7338310920d9426c4efc3f7c28%2Fb2149f87bb67c07c03f95d7b570e367d8eedab02-1080x2160.png?alt=media)

## Show the watermark editor

The watermark editor can be shown from an activity by calling the following method:

{% tabs %}
{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
public void showWatermarkDialog(PDFViewCtrl pdfViewCtrl, FragmentManager fragmentManager) {
    WatermarkDialog fragment = WatermarkDialog.newInstance(pdfViewCtrl);
    fragment.show(fragmentManager);
}
```

{% endcode %}
{% endtab %}

{% tab title="Kotlin" %}
{% code lineNumbers="true" %}

```kotlin
fun showWatermarkDialog(pdfViewCtrl: PDFViewCtrl, fragmentManager: FragmentManager) {
    val fragment = WatermarkDialog.newInstance(pdfViewCtrl)
    fragment.show(fragmentManager)
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/editing-page-content/watermark-editor-a.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
